> ## Documentation Index
> Fetch the complete documentation index at: https://developer.jtl-software.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Seller



## OpenAPI

````yaml /openapi/scx/seller.json patch /v1/seller/channel/{Channel}
openapi: 3.0.2
info:
  title: SCX Seller API
  version: '1.0'
  x-logo:
    url: https://scx-sandbox.ui.jtl-software.com/docs/scx.png
  description: |
    SCX Seller API
servers:
  - url: https://scx-sbx.api.jtl-software.com
    description: Sandbox Environment
security: []
tags:
  - name: Account
    description: Seller account management
  - name: Offer
    description: Seller offer management
  - name: Events
    description: Channel and system events for the seller
  - name: Meta
    description: Channel meta information (categories, attributes, rules)
  - name: Order
    description: Order processing, payments, shipping, cancellations and refunds
  - name: Report
    description: Seller report generation and retrieval
  - name: Ticket
    description: Channel ticket management
paths:
  /v1/seller/channel/{Channel}:
    patch:
      tags:
        - Account
      summary: Update Seller
      operationId: CreateUpdateSellerSessionForChannel
      parameters:
        - in: path
          name: Channel
          description: Channel identifier the seller-account update session is started for.
          required: true
          schema:
            $ref: '#/components/schemas/Channel'
        - in: query
          name: sellerId
          description: ID of the seller account whose channel link should be updated.
          schema:
            $ref: '#/components/schemas/SellerId'
      responses:
        '200':
          $ref: '#/components/responses/SellerAccountUpdateSession'
        '401':
          $ref: '#/components/responses/AccessForbidden'
        '429':
          $ref: '#/components/responses/RequestThrottled'
        '500':
          $ref: '#/components/responses/ServerError'
      security:
        - SellerAuth: []
components:
  schemas:
    Channel:
      description: |
        This is the unique Channel name.
      type: string
      example: MYBESTDEALCOMDE
      pattern: ^\w{5,15}$
    SellerId:
      description: >
        A unique Id identify a Seller on a specific SalesChannel. The SellerId
        is generated

        from the Channel itself during the Seller SignUp Process.
      type: string
      example: '4711'
      pattern: ^\w{1,50}$
    UpdateSession:
      description: >-
        Result of starting a seller update session — contains the redirect URL
        the seller has to visit, the affected sellerId and session expiry.
      type: object
      properties:
        updateUrl:
          description: |
            URL the seller has to visit to update the existing channel link
          type: string
          example: >-
            https://update.mybestdeals.com/?sid=c6b28bd5-e0b4-4857-9d9c-e8a9ac40241b&expires=1557149104
        sellerId:
          $ref: '#/components/schemas/SellerId'
        expiresAt:
          type: integer
          format: int64
          example: 1557149104
    ErrorResponseList:
      type: object
      properties:
        errorList:
          nullable: true
          type: array
          example:
            - code: GEN700
              message: Seller SELLER_4711 does not exist on channel kaufland.
              severity: error
              hint: i9n-order22
          items:
            title: Error
            type: object
            properties:
              code:
                type: string
                example: GEN700
              message:
                type: string
                example: Seller SELLER_4711 does not exist on channel kaufland.
              severity:
                type: string
                enum:
                  - error
                  - warning
                  - info
                default: error
              hint:
                type: string
                nullable: true
                example: i9n-order22
  responses:
    SellerAccountUpdateSession:
      description: Start a Seller Update Process
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/UpdateSession'
    AccessForbidden:
      description: Access forbidden, invalid or unknown Token was used.
    RequestThrottled:
      description: User has send to many requests
    ServerError:
      description: Unexpected Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseList'
          example:
            errorList:
              - code: GEN500
                message: Internal Server Error
                severity: error
                hint: null
  securitySchemes:
    SellerAuth:
      description: >
        Bearer JWT issued to a seller after they sign up for a JTL-Scx
        subscription via the JTL

        Customer Center. Usage format: `Bearer <JWT>`.
      type: http
      scheme: bearer
      bearerFormat: JWT

````